> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser-use.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Skill

> Get details of a specific skill owned by the project.



## OpenAPI

````yaml /cloud/openapi/v2.json get /skills/{skill_id}
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /skills/{skill_id}:
    get:
      tags:
        - Skills
      summary: Get Skill
      description: Get details of a specific skill owned by the project.
      operationId: get_skill_skills__skill_id__get
      parameters:
        - name: skill_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Skill Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillResponse'
        '404':
          description: Skill not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SkillResponse:
      properties:
        id:
          type: string
          format: uuid
          title: ID
          description: Unique identifier for the skill
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
          description: URL-friendly slug for the skill
        title:
          type: string
          title: Title
          description: Title of the skill (shows up in the public view)
        description:
          type: string
          title: Description
          description: Description of the skill (shows up in the public view)
        categories:
          items:
            $ref: '#/components/schemas/SkillCategory'
          type: array
          title: Categories
          description: Categories of the skill
        domains:
          items:
            type: string
          type: array
          title: Domains
          description: Domains/websites this skill interacts with
        goal:
          anyOf:
            - type: string
            - type: 'null'
          title: Goal
          description: Goal of the skill (not shown in the public view)
        agentPrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Prompt
          description: >-
            Prompt for the agent to use when generating the skill automatically
            (not shown in the public view)
        status:
          $ref: '#/components/schemas/SkillsGenerationStatus'
          title: Status
          description: Status of the skill
        parameters:
          items:
            $ref: '#/components/schemas/ParameterSchema'
          type: array
          title: Parameters
          description: Input parameters of the skill
        outputSchema:
          additionalProperties: true
          type: object
          title: Output Schema
          description: Output schema of the skill
        isEnabled:
          type: boolean
          title: Enabled
          description: Whether the skill is enabled
        isPublic:
          type: boolean
          title: Is Public
          description: Whether the skill is publicly available
        iconUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon URL
          description: URL of the custom skill icon
        firstPublishedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Published At
          description: When the skill was first published
        lastPublishedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Published At
          description: When the skill was last published
        currentVersion:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Version
          description: Current version of the skill
        currentVersionStartedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Version Started At
          description: When the current version started generating
        currentVersionFinishedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Version Finished At
          description: When the current version finished generating
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code (base64 encoded) - ENTERPRISE ONLY
          description: >-
            Base64 encoded generated code (contact support@browser-use.com to
            get access) - ENTERPRISE ONLY
        clonedFromSkillId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Cloned From Skill ID
          description: Unique identifier for the skill this skill was cloned from
        createdAt:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        updatedAt:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp
      type: object
      required:
        - id
        - title
        - description
        - categories
        - domains
        - status
        - parameters
        - outputSchema
        - isEnabled
        - isPublic
        - currentVersion
        - createdAt
        - updatedAt
      title: SkillResponse
      description: Skill information returned by the API.
    SkillNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          default: Skill not found
      type: object
      title: SkillNotFoundError
      description: Error response when a skill is not found
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SkillCategory:
      type: string
      enum:
        - search
        - e_commerce
        - financial
        - news
        - real_estate
        - social_media
        - travel
        - marketplace
        - lead_generation
        - seo
        - jobs
        - developer
        - media
        - automation
        - integration
        - other
      title: SkillCategory
      description: Skill category.
    SkillsGenerationStatus:
      type: string
      enum:
        - recording
        - generating
        - failed
        - finished
        - cancelled
        - timed_out
      title: SkillsGenerationStatus
      description: Status of skill generation.
    ParameterSchema:
      properties:
        name:
          type: string
          title: Name
        type:
          $ref: '#/components/schemas/ParameterType'
        required:
          type: boolean
          title: Required
          default: true
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        default:
          anyOf:
            - {}
            - type: 'null'
          title: Default
        cookieDomain:
          anyOf:
            - type: string
            - type: 'null'
          title: Cookiedomain
      type: object
      required:
        - name
        - type
      title: ParameterSchema
      description: Schema for a skill parameter.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ParameterType:
      type: string
      enum:
        - string
        - number
        - boolean
        - object
        - array
        - cookie
      title: ParameterType
      description: Type of a skill parameter.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````